[interpolation] mesh2d gateway introduced
[scilab.git] / scilab / modules / interpolation / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Localization of the module interpolation
23 # Please see in SCI/tools/localization for localization management
24 #
25
26 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
27 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
28 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
29 #
30 # Copyright (C) 2012 - 2016 - Scilab Enterprises
31 #
32 # This file is hereby licensed under the terms of the GNU GPL v2.0,
33 # pursuant to article 5.3.4 of the CeCILL v.2.1.
34 # This file was originally licensed under the terms of the CeCILL v2.1,
35 # and continues to be available under such terms.
36 # For more information, see the COPYING file which you should have received
37 # along with this program.
38 #
39
40 ##########
41 ### Makefile included stuff
42 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
43 ##########
44
45
46 VPATH = @srcdir@
47 am__is_gnu_make = { \
48   if test -z '$(MAKELEVEL)'; then \
49     false; \
50   elif test -n '$(MAKE_HOST)'; then \
51     true; \
52   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
53     true; \
54   else \
55     false; \
56   fi; \
57 }
58 am__make_running_with_option = \
59   case $${target_option-} in \
60       ?) ;; \
61       *) echo "am__make_running_with_option: internal error: invalid" \
62               "target option '$${target_option-}' specified" >&2; \
63          exit 1;; \
64   esac; \
65   has_opt=no; \
66   sane_makeflags=$$MAKEFLAGS; \
67   if $(am__is_gnu_make); then \
68     sane_makeflags=$$MFLAGS; \
69   else \
70     case $$MAKEFLAGS in \
71       *\\[\ \   ]*) \
72         bs=\\; \
73         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
74           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
75     esac; \
76   fi; \
77   skip_next=no; \
78   strip_trailopt () \
79   { \
80     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
81   }; \
82   for flg in $$sane_makeflags; do \
83     test $$skip_next = yes && { skip_next=no; continue; }; \
84     case $$flg in \
85       *=*|--*) continue;; \
86         -*I) strip_trailopt 'I'; skip_next=yes;; \
87       -*I?*) strip_trailopt 'I';; \
88         -*O) strip_trailopt 'O'; skip_next=yes;; \
89       -*O?*) strip_trailopt 'O';; \
90         -*l) strip_trailopt 'l'; skip_next=yes;; \
91       -*l?*) strip_trailopt 'l';; \
92       -[dEDm]) skip_next=yes;; \
93       -[JT]) skip_next=yes;; \
94     esac; \
95     case $$flg in \
96       *$$target_option*) has_opt=yes; break;; \
97     esac; \
98   done; \
99   test $$has_opt = yes
100 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
101 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
102 pkgdatadir = $(datadir)/@PACKAGE@
103 pkgincludedir = $(includedir)/@PACKAGE@
104 pkglibdir = $(libdir)/@PACKAGE@
105 pkglibexecdir = $(libexecdir)/@PACKAGE@
106 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
107 install_sh_DATA = $(install_sh) -c -m 644
108 install_sh_PROGRAM = $(install_sh) -c
109 install_sh_SCRIPT = $(install_sh) -c
110 INSTALL_HEADER = $(INSTALL_DATA)
111 transform = $(program_transform_name)
112 NORMAL_INSTALL = :
113 PRE_INSTALL = :
114 POST_INSTALL = :
115 NORMAL_UNINSTALL = :
116 PRE_UNINSTALL = :
117 POST_UNINSTALL = :
118 build_triplet = @build@
119 host_triplet = @host@
120 @NEED_JAVA_TRUE@am__append_1 = java
121 subdir = modules/interpolation
122 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
123 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
124         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
125         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
126         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
127         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
128         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
129         $(top_srcdir)/m4/intel_compiler.m4 \
130         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
131         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
132         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
133         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
134         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
135         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
136         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
137         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
138         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
139         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
140         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
141 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
142         $(ACLOCAL_M4)
143 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
144 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
145 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
146 CONFIG_CLEAN_FILES =
147 CONFIG_CLEAN_VPATH_FILES =
148 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
149 am__vpath_adj = case $$p in \
150     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
151     *) f=$$p;; \
152   esac;
153 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
154 am__install_max = 40
155 am__nobase_strip_setup = \
156   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
157 am__nobase_strip = \
158   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
159 am__nobase_list = $(am__nobase_strip_setup); \
160   for p in $$list; do echo "$$p $$p"; done | \
161   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
162   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
163     if (++n[$$2] == $(am__install_max)) \
164       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
165     END { for (dir in files) print dir, files[dir] }'
166 am__base_list = \
167   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
168   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
169 am__uninstall_files_from_dir = { \
170   test -z "$$files" \
171     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
172     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
173          $(am__cd) "$$dir" && rm -f $$files; }; \
174   }
175 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
176         "$(DESTDIR)$(libsciinterpolation_la_etcdir)" \
177         "$(DESTDIR)$(libsciinterpolation_la_rootdir)" \
178         "$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)"
179 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
180 libsciinterpolation_algo_la_LIBADD =
181 am__dirstamp = $(am__leading_dot)dirstamp
182 am__objects_1 = src/c/libsciinterpolation_algo_la-interpolation.lo \
183         src/c/libsciinterpolation_algo_la-someinterp.lo
184 am__objects_2 = src/fortran/somespline.lo src/fortran/dspfit.lo \
185         src/fortran/cshep2d.lo src/fortran/mesh2b.lo
186 am_libsciinterpolation_algo_la_OBJECTS = $(am__objects_1) \
187         $(am__objects_2)
188 libsciinterpolation_algo_la_OBJECTS =  \
189         $(am_libsciinterpolation_algo_la_OBJECTS)
190 AM_V_lt = $(am__v_lt_@AM_V@)
191 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
192 am__v_lt_0 = --silent
193 am__v_lt_1 = 
194 am__DEPENDENCIES_1 =
195 libsciinterpolation_la_DEPENDENCIES = libsciinterpolation-algo.la \
196         $(am__DEPENDENCIES_1)
197 am__objects_3 =  \
198         sci_gateway/cpp/libsciinterpolation_la-sci_lsq_splin.lo \
199         sci_gateway/cpp/libsciinterpolation_la-sci_interp.lo \
200         sci_gateway/cpp/libsciinterpolation_la-sci_interp2d.lo \
201         sci_gateway/cpp/libsciinterpolation_la-sci_splin.lo \
202         sci_gateway/cpp/libsciinterpolation_la-sci_cshep2d.lo \
203         sci_gateway/cpp/libsciinterpolation_la-sci_interp3d.lo \
204         sci_gateway/cpp/libsciinterpolation_la-sci_linear_interpn.lo \
205         sci_gateway/cpp/libsciinterpolation_la-sci_splin2d.lo \
206         sci_gateway/cpp/libsciinterpolation_la-sci_splin3d.lo \
207         sci_gateway/cpp/libsciinterpolation_la-sci_bsplin3val.lo \
208         sci_gateway/cpp/libsciinterpolation_la-sci_eval_cshep2d.lo \
209         sci_gateway/cpp/libsciinterpolation_la-sci_mesh2di.lo
210 am_libsciinterpolation_la_OBJECTS = $(am__objects_3)
211 libsciinterpolation_la_OBJECTS = $(am_libsciinterpolation_la_OBJECTS)
212 AM_V_P = $(am__v_P_@AM_V@)
213 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
214 am__v_P_0 = false
215 am__v_P_1 = :
216 AM_V_GEN = $(am__v_GEN_@AM_V@)
217 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
218 am__v_GEN_0 = @echo "  GEN     " $@;
219 am__v_GEN_1 = 
220 AM_V_at = $(am__v_at_@AM_V@)
221 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
222 am__v_at_0 = @
223 am__v_at_1 = 
224 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
225 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
226 am__depfiles_maybe = depfiles
227 am__mv = mv -f
228 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
229         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
230 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
231         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
232         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
233         $(AM_CFLAGS) $(CFLAGS)
234 AM_V_CC = $(am__v_CC_@AM_V@)
235 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
236 am__v_CC_0 = @echo "  CC      " $@;
237 am__v_CC_1 = 
238 CCLD = $(CC)
239 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
240         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
241         $(AM_LDFLAGS) $(LDFLAGS) -o $@
242 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
243 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
244 am__v_CCLD_0 = @echo "  CCLD    " $@;
245 am__v_CCLD_1 = 
246 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
247         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
248 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
249         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
250         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
251         $(AM_CXXFLAGS) $(CXXFLAGS)
252 AM_V_CXX = $(am__v_CXX_@AM_V@)
253 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
254 am__v_CXX_0 = @echo "  CXX     " $@;
255 am__v_CXX_1 = 
256 CXXLD = $(CXX)
257 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
258         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
259         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
260 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
261 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
262 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
263 am__v_CXXLD_1 = 
264 F77COMPILE = $(F77) $(AM_FFLAGS) $(FFLAGS)
265 LTF77COMPILE = $(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) \
266         $(LIBTOOLFLAGS) --mode=compile $(F77) $(AM_FFLAGS) $(FFLAGS)
267 AM_V_F77 = $(am__v_F77_@AM_V@)
268 am__v_F77_ = $(am__v_F77_@AM_DEFAULT_V@)
269 am__v_F77_0 = @echo "  F77     " $@;
270 am__v_F77_1 = 
271 F77LD = $(F77)
272 F77LINK = $(LIBTOOL) $(AM_V_lt) --tag=F77 $(AM_LIBTOOLFLAGS) \
273         $(LIBTOOLFLAGS) --mode=link $(F77LD) $(AM_FFLAGS) $(FFLAGS) \
274         $(AM_LDFLAGS) $(LDFLAGS) -o $@
275 AM_V_F77LD = $(am__v_F77LD_@AM_V@)
276 am__v_F77LD_ = $(am__v_F77LD_@AM_DEFAULT_V@)
277 am__v_F77LD_0 = @echo "  F77LD   " $@;
278 am__v_F77LD_1 = 
279 SOURCES = $(libsciinterpolation_algo_la_SOURCES) \
280         $(libsciinterpolation_la_SOURCES)
281 DIST_SOURCES = $(libsciinterpolation_algo_la_SOURCES) \
282         $(libsciinterpolation_la_SOURCES)
283 am__can_run_installinfo = \
284   case $$AM_UPDATE_INFO_DIR in \
285     n|no|NO) false;; \
286     *) (install-info --version) >/dev/null 2>&1;; \
287   esac
288 DATA = $(libsciinterpolation_la_etc_DATA) \
289         $(libsciinterpolation_la_root_DATA) \
290         $(libsciinterpolation_la_sci_gateway_DATA)
291 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
292 # Read a list of newline-separated strings from the standard input,
293 # and print each of them once, without duplicates.  Input order is
294 # *not* preserved.
295 am__uniquify_input = $(AWK) '\
296   BEGIN { nonempty = 0; } \
297   { items[$$0] = 1; nonempty = 1; } \
298   END { if (nonempty) { for (i in items) print i; }; } \
299 '
300 # Make sure the list of sources is unique.  This is necessary because,
301 # e.g., the same source file might be shared among _SOURCES variables
302 # for different programs/libraries.
303 am__define_uniq_tagged_files = \
304   list='$(am__tagged_files)'; \
305   unique=`for i in $$list; do \
306     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
307   done | $(am__uniquify_input)`
308 ETAGS = etags
309 CTAGS = ctags
310 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
311         $(top_srcdir)/config/depcomp \
312         $(top_srcdir)/config/mkinstalldirs
313 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
314 ACLOCAL = @ACLOCAL@
315 ALL_LINGUAS = @ALL_LINGUAS@
316 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
317 AMTAR = @AMTAR@
318 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
319 ANT = @ANT@
320 ANTLR = @ANTLR@
321 AR = @AR@
322 ARPACK_LIBS = @ARPACK_LIBS@
323 ASM3 = @ASM3@
324 AUTOCONF = @AUTOCONF@
325 AUTOHEADER = @AUTOHEADER@
326 AUTOMAKE = @AUTOMAKE@
327 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
328 AWK = @AWK@
329 BATIK = @BATIK@
330 BLAS_CFLAGS = @BLAS_CFLAGS@
331 BLAS_LIBS = @BLAS_LIBS@
332 CC = @CC@
333 CCACHE = @CCACHE@
334 CCDEPMODE = @CCDEPMODE@
335 CFLAGS = @CFLAGS@
336 CHECKSTYLE = @CHECKSTYLE@
337 COBERTURA = @COBERTURA@
338 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
339 COMMONS_IO = @COMMONS_IO@
340 COMMONS_LOGGING = @COMMONS_LOGGING@
341 CPP = @CPP@
342 CPPFLAGS = @CPPFLAGS@
343 CURL_CFLAGS = @CURL_CFLAGS@
344 CURL_CONFIG = @CURL_CONFIG@
345 CURL_LIBS = @CURL_LIBS@
346 CURL_VERSION = @CURL_VERSION@
347 CXX = @CXX@
348 CXXCPP = @CXXCPP@
349 CXXDEPMODE = @CXXDEPMODE@
350 CXXFLAGS = @CXXFLAGS@
351 CYGPATH_W = @CYGPATH_W@
352 DEFS = @DEFS@
353 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
354 DEPDIR = @DEPDIR@
355 DLLTOOL = @DLLTOOL@
356 DOCBOOK_ROOT = @DOCBOOK_ROOT@
357 DOXYGEN_BIN = @DOXYGEN_BIN@
358 DSYMUTIL = @DSYMUTIL@
359 DUMPBIN = @DUMPBIN@
360 ECHO_C = @ECHO_C@
361 ECHO_N = @ECHO_N@
362 ECHO_T = @ECHO_T@
363 ECJ = @ECJ@
364 EGREP = @EGREP@
365 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
366 EXEEXT = @EXEEXT@
367 F77 = @F77@
368 FFLAGS = @FFLAGS@
369 FFTW3_LIB = @FFTW3_LIB@
370 FFTW_ENABLE = @FFTW_ENABLE@
371 FGREP = @FGREP@
372 FLEXDOCK = @FLEXDOCK@
373 FLIBS = @FLIBS@
374 FOP = @FOP@
375 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
376 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
377 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
378 FREEHEP_IO = @FREEHEP_IO@
379 FREEHEP_UTIL = @FREEHEP_UTIL@
380 GENHTML = @GENHTML@
381 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
382 GIWS_BIN = @GIWS_BIN@
383 GLUEGEN2_RT = @GLUEGEN2_RT@
384 GMSGFMT = @GMSGFMT@
385 GMSGFMT_015 = @GMSGFMT_015@
386 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
387 GREP = @GREP@
388 GUI_ENABLE = @GUI_ENABLE@
389 HAMCREST = @HAMCREST@
390 HAVE_CXX11 = @HAVE_CXX11@
391 HDF5_CFLAGS = @HDF5_CFLAGS@
392 HDF5_LIBS = @HDF5_LIBS@
393 HELP_ENABLE = @HELP_ENABLE@
394 INSTALL = @INSTALL@
395 INSTALL_DATA = @INSTALL_DATA@
396 INSTALL_PROGRAM = @INSTALL_PROGRAM@
397 INSTALL_SCRIPT = @INSTALL_SCRIPT@
398 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
399 INTLLIBS = @INTLLIBS@
400 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
401 JAR = @JAR@
402 JAVA = @JAVA@
403 JAVAC = @JAVAC@
404 JAVAC_DEBUG = @JAVAC_DEBUG@
405 JAVADOC = @JAVADOC@
406 JAVAH = @JAVAH@
407 JAVASCI_ENABLE = @JAVASCI_ENABLE@
408 JAVA_ENABLE = @JAVA_ENABLE@
409 JAVA_G = @JAVA_G@
410 JAVA_HOME = @JAVA_HOME@
411 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
412 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
413 JDB = @JDB@
414 JEUCLID_CORE = @JEUCLID_CORE@
415 JGRAPHX = @JGRAPHX@
416 JHALL = @JHALL@
417 JLATEXMATH = @JLATEXMATH@
418 JLATEXMATH_FOP = @JLATEXMATH_FOP@
419 JOGL2 = @JOGL2@
420 JROSETTA_API = @JROSETTA_API@
421 JROSETTA_ENGINE = @JROSETTA_ENGINE@
422 JUNIT4 = @JUNIT4@
423 LAPACK_LIBS = @LAPACK_LIBS@
424 LCOV = @LCOV@
425 LD = @LD@
426 LDFLAGS = @LDFLAGS@
427 LEX = @LEX@
428 LEXLIB = @LEXLIB@
429 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
430 LIBICONV = @LIBICONV@
431 LIBINTL = @LIBINTL@
432 LIBM = @LIBM@
433 LIBOBJS = @LIBOBJS@
434 LIBS = @LIBS@
435 LIBTOOL = @LIBTOOL@
436 LIPO = @LIPO@
437 LN_S = @LN_S@
438 LOGGING_LEVEL = @LOGGING_LEVEL@
439 LOOKS = @LOOKS@
440 LTLIBICONV = @LTLIBICONV@
441 LTLIBINTL = @LTLIBINTL@
442 LTLIBOBJS = @LTLIBOBJS@
443 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
444 LUCENE = @LUCENE@
445 LUCENE_ANALYZER = @LUCENE_ANALYZER@
446 LUCENE_PARSER = @LUCENE_PARSER@
447 MAINT = @MAINT@
448 MAKEINFO = @MAKEINFO@
449 MANIFEST_TOOL = @MANIFEST_TOOL@
450 MATIO_CFLAGS = @MATIO_CFLAGS@
451 MATIO_ENABLE = @MATIO_ENABLE@
452 MATIO_LIBS = @MATIO_LIBS@
453 MKDIR_P = @MKDIR_P@
454 MPI_ENABLE = @MPI_ENABLE@
455 MSGCAT = @MSGCAT@
456 MSGFMT = @MSGFMT@
457 MSGFMT_015 = @MSGFMT_015@
458 MSGMERGE = @MSGMERGE@
459 NM = @NM@
460 NMEDIT = @NMEDIT@
461 OBJDUMP = @OBJDUMP@
462 OBJEXT = @OBJEXT@
463 OCAMLC = @OCAMLC@
464 OCAMLDEP = @OCAMLDEP@
465 OCAMLLEX = @OCAMLLEX@
466 OCAMLOPT = @OCAMLOPT@
467 OCAMLYACC = @OCAMLYACC@
468 OPENMPI_CC = @OPENMPI_CC@
469 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
470 OPENMPI_CXX = @OPENMPI_CXX@
471 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
472 OPENMPI_LIBS = @OPENMPI_LIBS@
473 OPENMP_CFLAGS = @OPENMP_CFLAGS@
474 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
475 OPENMP_ENABLE = @OPENMP_ENABLE@
476 OPENMP_LIBS = @OPENMP_LIBS@
477 OTOOL = @OTOOL@
478 OTOOL64 = @OTOOL64@
479 PACKAGE = @PACKAGE@
480 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
481 PACKAGE_NAME = @PACKAGE_NAME@
482 PACKAGE_STRING = @PACKAGE_STRING@
483 PACKAGE_TARNAME = @PACKAGE_TARNAME@
484 PACKAGE_URL = @PACKAGE_URL@
485 PACKAGE_VERSION = @PACKAGE_VERSION@
486 PATH_SEPARATOR = @PATH_SEPARATOR@
487 PCRE_CFLAGS = @PCRE_CFLAGS@
488 PCRE_CONFIG = @PCRE_CONFIG@
489 PCRE_LIBS = @PCRE_LIBS@
490 PCRE_VERSION = @PCRE_VERSION@
491 PKG_CONFIG = @PKG_CONFIG@
492 POSUB = @POSUB@
493 POW_LIB = @POW_LIB@
494 PYTHON = @PYTHON@
495 RANLIB = @RANLIB@
496 RELOCATABLE = @RELOCATABLE@
497 RT_LIB = @RT_LIB@
498 SAXON = @SAXON@
499 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
500 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
501 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
502 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
503 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
504 SCIRENDERER = @SCIRENDERER@
505 SCIRENDERER_CP = @SCIRENDERER_CP@
506 SCI_CFLAGS = @SCI_CFLAGS@
507 SCI_CXXFLAGS = @SCI_CXXFLAGS@
508 SCI_FFLAGS = @SCI_FFLAGS@
509 SCI_LDFLAGS = @SCI_LDFLAGS@
510 SED = @SED@
511 SET_MAKE = @SET_MAKE@
512 SET_RELOCATABLE = @SET_RELOCATABLE@
513 SHELL = @SHELL@
514 SKINLF = @SKINLF@
515 SPLINT = @SPLINT@
516 STRIP = @STRIP@
517 SWIG_BIN = @SWIG_BIN@
518 SWIG_JAVA = @SWIG_JAVA@
519 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
520 SWIG_SCILAB = @SWIG_SCILAB@
521 TCLTK_LIBS = @TCLTK_LIBS@
522 TCL_INC_PATH = @TCL_INC_PATH@
523 TK_INC_PATH = @TK_INC_PATH@
524 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
525 UMFPACK_ENABLE = @UMFPACK_ENABLE@
526 UMFPACK_LIB = @UMFPACK_LIB@
527 USE_NLS = @USE_NLS@
528 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
529 VALGRIND_LIBS = @VALGRIND_LIBS@
530 VERSION = @VERSION@
531 WITH_OCAML = @WITH_OCAML@
532 WITH_TKSCI = @WITH_TKSCI@
533 XCOS_ENABLE = @XCOS_ENABLE@
534 XGETTEXT = @XGETTEXT@
535 XGETTEXT_015 = @XGETTEXT_015@
536 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
537 XMKMF = @XMKMF@
538 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
539 XML_APIS_EXT = @XML_APIS_EXT@
540 XML_CONFIG = @XML_CONFIG@
541 XML_FLAGS = @XML_FLAGS@
542 XML_LIBS = @XML_LIBS@
543 XML_VERSION = @XML_VERSION@
544 X_CFLAGS = @X_CFLAGS@
545 X_EXTRA_LIBS = @X_EXTRA_LIBS@
546 X_LIBS = @X_LIBS@
547 X_PRE_LIBS = @X_PRE_LIBS@
548 YACC = @YACC@
549 YFLAGS = @YFLAGS@
550 abs_builddir = @abs_builddir@
551 abs_srcdir = @abs_srcdir@
552 abs_top_builddir = @abs_top_builddir@
553 abs_top_srcdir = @abs_top_srcdir@
554 ac_ct_AR = @ac_ct_AR@
555 ac_ct_CC = @ac_ct_CC@
556 ac_ct_CXX = @ac_ct_CXX@
557 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
558 ac_ct_F77 = @ac_ct_F77@
559 am__include = @am__include@
560 am__leading_dot = @am__leading_dot@
561 am__quote = @am__quote@
562 am__tar = @am__tar@
563 am__untar = @am__untar@
564 bindir = @bindir@
565 build = @build@
566 build_alias = @build_alias@
567 build_cpu = @build_cpu@
568 build_os = @build_os@
569 build_vendor = @build_vendor@
570 builddir = @builddir@
571 cxx_present = @cxx_present@
572 datadir = @datadir@
573 datarootdir = @datarootdir@
574 docdir = @docdir@
575 dvidir = @dvidir@
576 exec_prefix = @exec_prefix@
577 host = @host@
578 host_alias = @host_alias@
579 host_cpu = @host_cpu@
580 host_os = @host_os@
581 host_vendor = @host_vendor@
582 htmldir = @htmldir@
583 includedir = @includedir@
584 infodir = @infodir@
585 install_sh = @install_sh@
586 libdir = @libdir@
587 libexecdir = @libexecdir@
588 localedir = @localedir@
589 localstatedir = @localstatedir@
590 mandir = @mandir@
591 mkdir_p = @mkdir_p@
592 oldincludedir = @oldincludedir@
593 pdfdir = @pdfdir@
594 prefix = @prefix@
595 program_transform_name = @program_transform_name@
596 psdir = @psdir@
597 runstatedir = @runstatedir@
598 sbindir = @sbindir@
599 sharedstatedir = @sharedstatedir@
600 srcdir = @srcdir@
601 sysconfdir = @sysconfdir@
602 target_alias = @target_alias@
603 top_build_prefix = @top_build_prefix@
604 top_builddir = @top_builddir@
605 top_srcdir = @top_srcdir@
606 yacc_present = @yacc_present@
607 INTERPOLATION_FORTRAN_SOURCES = \
608     src/fortran/somespline.f \
609     src/fortran/dspfit.f \
610     src/fortran/cshep2d.f \
611     src/fortran/mesh2b.f
612
613 INTERPOLATION_C_SOURCES = \
614     src/c/interpolation.c \
615     src/c/someinterp.c
616
617 GATEWAY_CPP_SOURCES = \
618     sci_gateway/cpp/sci_lsq_splin.cpp \
619     sci_gateway/cpp/sci_interp.cpp \
620     sci_gateway/cpp/sci_interp2d.cpp \
621     sci_gateway/cpp/sci_splin.cpp \
622     sci_gateway/cpp/sci_cshep2d.cpp \
623     sci_gateway/cpp/sci_interp3d.cpp \
624     sci_gateway/cpp/sci_linear_interpn.cpp \
625     sci_gateway/cpp/sci_splin2d.cpp \
626     sci_gateway/cpp/sci_splin3d.cpp \
627     sci_gateway/cpp/sci_bsplin3val.cpp \
628     sci_gateway/cpp/sci_eval_cshep2d.cpp \
629                 sci_gateway/cpp/sci_mesh2di.cpp
630
631 libsciinterpolation_la_CPPFLAGS = \
632     -I$(srcdir)/includes/ \
633     -I$(srcdir)/src/c/ \
634     -I$(top_srcdir)/modules/ast/includes/ast/ \
635     -I$(top_srcdir)/modules/ast/includes/exps/ \
636     -I$(top_srcdir)/modules/ast/includes/operations/ \
637     -I$(top_srcdir)/modules/ast/includes/parse/ \
638     -I$(top_srcdir)/modules/ast/includes/symbol/ \
639     -I$(top_srcdir)/modules/ast/includes/system_env/ \
640     -I$(top_srcdir)/modules/ast/includes/types/ \
641     -I$(top_srcdir)/modules/ast/includes/analysis/ \
642     -I$(top_srcdir)/modules/output_stream/includes \
643     -I$(top_srcdir)/modules/api_scilab/includes \
644     -I$(top_srcdir)/modules/localization/includes/ \
645     -I$(top_srcdir)/modules/dynamic_link/includes \
646     -I$(top_srcdir)/modules/threads/includes \
647     -I$(top_srcdir)/modules/dynamic_link/includes \
648     -I$(top_srcdir)/modules/string/includes \
649     -I$(top_srcdir)/modules/elementary_functions/includes
650
651 pkglib_LTLIBRARIES = libsciinterpolation.la
652 noinst_LTLIBRARIES = libsciinterpolation-algo.la
653 libsciinterpolation_algo_la_SOURCES = $(INTERPOLATION_C_SOURCES) $(INTERPOLATION_FORTRAN_SOURCES)
654 libsciinterpolation_la_SOURCES = $(GATEWAY_CPP_SOURCES)
655 libsciinterpolation_algo_la_CPPFLAGS = $(libsciinterpolation_la_CPPFLAGS)
656
657 # For the code check (splint)
658 CHECK_SRC = $(INTERPOLATION_C_SOURCES) $(GATEWAY_CPP_SOURCES)
659 INCLUDE_FLAGS = $(libsciinterpolation_la_CFLAGS)
660 libsciinterpolation_la_LIBADD = \
661         libsciinterpolation-algo.la \
662          $(FLIBS)
663
664
665 #### Target ######
666 modulename = interpolation
667
668 #### interpolation : Conf files ####
669 libsciinterpolation_la_rootdir = $(mydatadir)
670 libsciinterpolation_la_root_DATA = license.txt
671
672 ####�interpolation : init scripts ####
673 libsciinterpolation_la_etcdir = $(mydatadir)/etc
674 libsciinterpolation_la_etc_DATA = etc/interpolation.quit etc/interpolation.start
675
676 ####�interpolation : gateway declaration ####
677 libsciinterpolation_la_sci_gatewaydir = $(mydatadir)/sci_gateway
678 libsciinterpolation_la_sci_gateway_DATA = sci_gateway/interpolation_gateway.xml
679
680 # Where all the Scilab stuff is installed (macros, help, ...)
681 mydatadir = $(pkgdatadir)/modules/$(modulename)
682
683 # Set AM_* SCI detected settings
684 AM_CPPFLAGS = $(SCI_CPPFLAGS)
685 AM_CFLAGS = $(SCI_CFLAGS)
686 AM_CXXFLAGS = $(SCI_CXXFLAGS)
687 # append includes to AM_FFLAGS to manage fortran includes
688 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
689
690 # Tag shared libraries with the Scilab version
691 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
692
693 # splint options
694 SPLINT_OPTIONS = -weak -booltype BOOL
695
696 ########################### JAVA ######################################
697 #### We are delegating java compilation to ant... Thanks to that
698 #### the procedure will be the same with Microsoft Windows (C)
699 #### and Linux/Unix
700 #######################################################################
701 TARGETS_ALL = $(am__append_1)
702
703 ################ MACROS ######################
704 # Rule to build a macro
705 # NOT USED  AT THE MOMENT
706 SUFFIXES = .sci 
707
708 ########### INSTALL DOCUMENTATION ###################
709
710 # Install documentation files into the right target
711 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
712 # automake needs the html files to be present which is not the case when
713 # we are building Scilab
714
715 # Where it should be installed
716 pkgdocdir = $(mydatadir)
717
718 # What is the mask of the help source
719 DOCMASKXML = *.xml
720
721 # What is the mask of the MathML sources
722 DOCMASKMML = *.mml
723
724 ########### INSTALL DATA ###################
725 # Install macros, help & demos
726 # Where it should be installed
727 pkgmacrosdir = $(mydatadir)
728 # Which directory we process
729 MACRODIRS = macros/
730 # Mask of the Scilab sources macros
731 MACROMASK = *.sci
732 # Mask of the Scilab executable sources macros
733 MACROBUILDMASK = *.sce
734 # Mask of the Scilab compiled macros
735 MACROBINMASK = *.bin
736 # List of the standard directory for tests
737 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
738 # Where the demos should be installed
739 pkgdemosdir = $(mydatadir)
740 # List of the standard directory for demos
741 DEMOS_DIR = demos
742 # List of the standard directory for examples
743 EXAMPLES_DIR = examples
744 # Where to export JAVA archives (.jar)
745 JARDIR = jar/
746 # JAR files mask
747 JARMASK = *.jar
748 # Chapter file 
749 HELP_CHAPTERDIR = help/
750 HELP_CHAPTERFILE = addchapter.sce
751 HELP_CHAPTERLANG = en_US fr_FR pt_BR
752 all: all-am
753
754 .SUFFIXES:
755 .SUFFIXES: .sci .bin .c .cpp .f .lo .o .obj
756 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
757         @for dep in $?; do \
758           case '$(am__configure_deps)' in \
759             *$$dep*) \
760               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
761                 && { if test -f $@; then exit 0; else break; fi; }; \
762               exit 1;; \
763           esac; \
764         done; \
765         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/interpolation/Makefile'; \
766         $(am__cd) $(top_srcdir) && \
767           $(AUTOMAKE) --foreign modules/interpolation/Makefile
768 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
769         @case '$?' in \
770           *config.status*) \
771             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
772           *) \
773             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
774             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
775         esac;
776 $(top_srcdir)/Makefile.incl.am $(am__empty):
777
778 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
779         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
780
781 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
782         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
783 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
784         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
785 $(am__aclocal_m4_deps):
786
787 clean-noinstLTLIBRARIES:
788         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
789         @list='$(noinst_LTLIBRARIES)'; \
790         locs=`for p in $$list; do echo $$p; done | \
791               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
792               sort -u`; \
793         test -z "$$locs" || { \
794           echo rm -f $${locs}; \
795           rm -f $${locs}; \
796         }
797
798 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
799         @$(NORMAL_INSTALL)
800         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
801         list2=; for p in $$list; do \
802           if test -f $$p; then \
803             list2="$$list2 $$p"; \
804           else :; fi; \
805         done; \
806         test -z "$$list2" || { \
807           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
808           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
809           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
810           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
811         }
812
813 uninstall-pkglibLTLIBRARIES:
814         @$(NORMAL_UNINSTALL)
815         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
816         for p in $$list; do \
817           $(am__strip_dir) \
818           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
819           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
820         done
821
822 clean-pkglibLTLIBRARIES:
823         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
824         @list='$(pkglib_LTLIBRARIES)'; \
825         locs=`for p in $$list; do echo $$p; done | \
826               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
827               sort -u`; \
828         test -z "$$locs" || { \
829           echo rm -f $${locs}; \
830           rm -f $${locs}; \
831         }
832 src/c/$(am__dirstamp):
833         @$(MKDIR_P) src/c
834         @: > src/c/$(am__dirstamp)
835 src/c/$(DEPDIR)/$(am__dirstamp):
836         @$(MKDIR_P) src/c/$(DEPDIR)
837         @: > src/c/$(DEPDIR)/$(am__dirstamp)
838 src/c/libsciinterpolation_algo_la-interpolation.lo:  \
839         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
840 src/c/libsciinterpolation_algo_la-someinterp.lo:  \
841         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
842 src/fortran/$(am__dirstamp):
843         @$(MKDIR_P) src/fortran
844         @: > src/fortran/$(am__dirstamp)
845 src/fortran/$(DEPDIR)/$(am__dirstamp):
846         @$(MKDIR_P) src/fortran/$(DEPDIR)
847         @: > src/fortran/$(DEPDIR)/$(am__dirstamp)
848 src/fortran/somespline.lo: src/fortran/$(am__dirstamp) \
849         src/fortran/$(DEPDIR)/$(am__dirstamp)
850 src/fortran/dspfit.lo: src/fortran/$(am__dirstamp) \
851         src/fortran/$(DEPDIR)/$(am__dirstamp)
852 src/fortran/cshep2d.lo: src/fortran/$(am__dirstamp) \
853         src/fortran/$(DEPDIR)/$(am__dirstamp)
854 src/fortran/mesh2b.lo: src/fortran/$(am__dirstamp) \
855         src/fortran/$(DEPDIR)/$(am__dirstamp)
856
857 libsciinterpolation-algo.la: $(libsciinterpolation_algo_la_OBJECTS) $(libsciinterpolation_algo_la_DEPENDENCIES) $(EXTRA_libsciinterpolation_algo_la_DEPENDENCIES) 
858         $(AM_V_F77LD)$(F77LINK)  $(libsciinterpolation_algo_la_OBJECTS) $(libsciinterpolation_algo_la_LIBADD) $(LIBS)
859 sci_gateway/cpp/$(am__dirstamp):
860         @$(MKDIR_P) sci_gateway/cpp
861         @: > sci_gateway/cpp/$(am__dirstamp)
862 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
863         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
864         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
865 sci_gateway/cpp/libsciinterpolation_la-sci_lsq_splin.lo:  \
866         sci_gateway/cpp/$(am__dirstamp) \
867         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
868 sci_gateway/cpp/libsciinterpolation_la-sci_interp.lo:  \
869         sci_gateway/cpp/$(am__dirstamp) \
870         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
871 sci_gateway/cpp/libsciinterpolation_la-sci_interp2d.lo:  \
872         sci_gateway/cpp/$(am__dirstamp) \
873         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
874 sci_gateway/cpp/libsciinterpolation_la-sci_splin.lo:  \
875         sci_gateway/cpp/$(am__dirstamp) \
876         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
877 sci_gateway/cpp/libsciinterpolation_la-sci_cshep2d.lo:  \
878         sci_gateway/cpp/$(am__dirstamp) \
879         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
880 sci_gateway/cpp/libsciinterpolation_la-sci_interp3d.lo:  \
881         sci_gateway/cpp/$(am__dirstamp) \
882         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
883 sci_gateway/cpp/libsciinterpolation_la-sci_linear_interpn.lo:  \
884         sci_gateway/cpp/$(am__dirstamp) \
885         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
886 sci_gateway/cpp/libsciinterpolation_la-sci_splin2d.lo:  \
887         sci_gateway/cpp/$(am__dirstamp) \
888         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
889 sci_gateway/cpp/libsciinterpolation_la-sci_splin3d.lo:  \
890         sci_gateway/cpp/$(am__dirstamp) \
891         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
892 sci_gateway/cpp/libsciinterpolation_la-sci_bsplin3val.lo:  \
893         sci_gateway/cpp/$(am__dirstamp) \
894         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
895 sci_gateway/cpp/libsciinterpolation_la-sci_eval_cshep2d.lo:  \
896         sci_gateway/cpp/$(am__dirstamp) \
897         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
898 sci_gateway/cpp/libsciinterpolation_la-sci_mesh2di.lo:  \
899         sci_gateway/cpp/$(am__dirstamp) \
900         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
901
902 libsciinterpolation.la: $(libsciinterpolation_la_OBJECTS) $(libsciinterpolation_la_DEPENDENCIES) $(EXTRA_libsciinterpolation_la_DEPENDENCIES) 
903         $(AM_V_CXXLD)$(CXXLINK) -rpath $(pkglibdir) $(libsciinterpolation_la_OBJECTS) $(libsciinterpolation_la_LIBADD) $(LIBS)
904
905 mostlyclean-compile:
906         -rm -f *.$(OBJEXT)
907         -rm -f sci_gateway/cpp/*.$(OBJEXT)
908         -rm -f sci_gateway/cpp/*.lo
909         -rm -f src/c/*.$(OBJEXT)
910         -rm -f src/c/*.lo
911         -rm -f src/fortran/*.$(OBJEXT)
912         -rm -f src/fortran/*.lo
913
914 distclean-compile:
915         -rm -f *.tab.c
916
917 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_bsplin3val.Plo@am__quote@
918 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_cshep2d.Plo@am__quote@
919 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_eval_cshep2d.Plo@am__quote@
920 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp.Plo@am__quote@
921 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp2d.Plo@am__quote@
922 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp3d.Plo@am__quote@
923 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_linear_interpn.Plo@am__quote@
924 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_lsq_splin.Plo@am__quote@
925 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_mesh2di.Plo@am__quote@
926 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin.Plo@am__quote@
927 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin2d.Plo@am__quote@
928 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin3d.Plo@am__quote@
929 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciinterpolation_algo_la-interpolation.Plo@am__quote@
930 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciinterpolation_algo_la-someinterp.Plo@am__quote@
931
932 .c.o:
933 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
934 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
935 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
936 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
937 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
938 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
939
940 .c.obj:
941 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
942 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
943 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
944 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
945 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
946 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
947
948 .c.lo:
949 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
950 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
951 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
952 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
953 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
954 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
955
956 src/c/libsciinterpolation_algo_la-interpolation.lo: src/c/interpolation.c
957 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciinterpolation_algo_la-interpolation.lo -MD -MP -MF src/c/$(DEPDIR)/libsciinterpolation_algo_la-interpolation.Tpo -c -o src/c/libsciinterpolation_algo_la-interpolation.lo `test -f 'src/c/interpolation.c' || echo '$(srcdir)/'`src/c/interpolation.c
958 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciinterpolation_algo_la-interpolation.Tpo src/c/$(DEPDIR)/libsciinterpolation_algo_la-interpolation.Plo
959 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/interpolation.c' object='src/c/libsciinterpolation_algo_la-interpolation.lo' libtool=yes @AMDEPBACKSLASH@
960 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
961 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciinterpolation_algo_la-interpolation.lo `test -f 'src/c/interpolation.c' || echo '$(srcdir)/'`src/c/interpolation.c
962
963 src/c/libsciinterpolation_algo_la-someinterp.lo: src/c/someinterp.c
964 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciinterpolation_algo_la-someinterp.lo -MD -MP -MF src/c/$(DEPDIR)/libsciinterpolation_algo_la-someinterp.Tpo -c -o src/c/libsciinterpolation_algo_la-someinterp.lo `test -f 'src/c/someinterp.c' || echo '$(srcdir)/'`src/c/someinterp.c
965 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciinterpolation_algo_la-someinterp.Tpo src/c/$(DEPDIR)/libsciinterpolation_algo_la-someinterp.Plo
966 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/someinterp.c' object='src/c/libsciinterpolation_algo_la-someinterp.lo' libtool=yes @AMDEPBACKSLASH@
967 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
968 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciinterpolation_algo_la-someinterp.lo `test -f 'src/c/someinterp.c' || echo '$(srcdir)/'`src/c/someinterp.c
969
970 .cpp.o:
971 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
972 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
973 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
974 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
975 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
976 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
977
978 .cpp.obj:
979 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
980 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
981 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
982 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
983 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
984 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
985
986 .cpp.lo:
987 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
988 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
989 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
990 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
991 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
992 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
993
994 sci_gateway/cpp/libsciinterpolation_la-sci_lsq_splin.lo: sci_gateway/cpp/sci_lsq_splin.cpp
995 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_lsq_splin.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_lsq_splin.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_lsq_splin.lo `test -f 'sci_gateway/cpp/sci_lsq_splin.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_lsq_splin.cpp
996 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_lsq_splin.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_lsq_splin.Plo
997 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_lsq_splin.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_lsq_splin.lo' libtool=yes @AMDEPBACKSLASH@
998 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
999 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_lsq_splin.lo `test -f 'sci_gateway/cpp/sci_lsq_splin.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_lsq_splin.cpp
1000
1001 sci_gateway/cpp/libsciinterpolation_la-sci_interp.lo: sci_gateway/cpp/sci_interp.cpp
1002 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_interp.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_interp.lo `test -f 'sci_gateway/cpp/sci_interp.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_interp.cpp
1003 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp.Plo
1004 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_interp.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_interp.lo' libtool=yes @AMDEPBACKSLASH@
1005 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1006 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_interp.lo `test -f 'sci_gateway/cpp/sci_interp.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_interp.cpp
1007
1008 sci_gateway/cpp/libsciinterpolation_la-sci_interp2d.lo: sci_gateway/cpp/sci_interp2d.cpp
1009 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_interp2d.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp2d.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_interp2d.lo `test -f 'sci_gateway/cpp/sci_interp2d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_interp2d.cpp
1010 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp2d.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp2d.Plo
1011 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_interp2d.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_interp2d.lo' libtool=yes @AMDEPBACKSLASH@
1012 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1013 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_interp2d.lo `test -f 'sci_gateway/cpp/sci_interp2d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_interp2d.cpp
1014
1015 sci_gateway/cpp/libsciinterpolation_la-sci_splin.lo: sci_gateway/cpp/sci_splin.cpp
1016 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_splin.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_splin.lo `test -f 'sci_gateway/cpp/sci_splin.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_splin.cpp
1017 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin.Plo
1018 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_splin.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_splin.lo' libtool=yes @AMDEPBACKSLASH@
1019 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1020 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_splin.lo `test -f 'sci_gateway/cpp/sci_splin.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_splin.cpp
1021
1022 sci_gateway/cpp/libsciinterpolation_la-sci_cshep2d.lo: sci_gateway/cpp/sci_cshep2d.cpp
1023 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_cshep2d.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_cshep2d.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_cshep2d.lo `test -f 'sci_gateway/cpp/sci_cshep2d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_cshep2d.cpp
1024 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_cshep2d.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_cshep2d.Plo
1025 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_cshep2d.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_cshep2d.lo' libtool=yes @AMDEPBACKSLASH@
1026 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1027 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_cshep2d.lo `test -f 'sci_gateway/cpp/sci_cshep2d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_cshep2d.cpp
1028
1029 sci_gateway/cpp/libsciinterpolation_la-sci_interp3d.lo: sci_gateway/cpp/sci_interp3d.cpp
1030 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_interp3d.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp3d.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_interp3d.lo `test -f 'sci_gateway/cpp/sci_interp3d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_interp3d.cpp
1031 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp3d.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_interp3d.Plo
1032 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_interp3d.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_interp3d.lo' libtool=yes @AMDEPBACKSLASH@
1033 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1034 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_interp3d.lo `test -f 'sci_gateway/cpp/sci_interp3d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_interp3d.cpp
1035
1036 sci_gateway/cpp/libsciinterpolation_la-sci_linear_interpn.lo: sci_gateway/cpp/sci_linear_interpn.cpp
1037 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_linear_interpn.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_linear_interpn.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_linear_interpn.lo `test -f 'sci_gateway/cpp/sci_linear_interpn.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_linear_interpn.cpp
1038 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_linear_interpn.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_linear_interpn.Plo
1039 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_linear_interpn.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_linear_interpn.lo' libtool=yes @AMDEPBACKSLASH@
1040 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1041 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_linear_interpn.lo `test -f 'sci_gateway/cpp/sci_linear_interpn.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_linear_interpn.cpp
1042
1043 sci_gateway/cpp/libsciinterpolation_la-sci_splin2d.lo: sci_gateway/cpp/sci_splin2d.cpp
1044 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_splin2d.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin2d.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_splin2d.lo `test -f 'sci_gateway/cpp/sci_splin2d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_splin2d.cpp
1045 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin2d.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin2d.Plo
1046 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_splin2d.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_splin2d.lo' libtool=yes @AMDEPBACKSLASH@
1047 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1048 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_splin2d.lo `test -f 'sci_gateway/cpp/sci_splin2d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_splin2d.cpp
1049
1050 sci_gateway/cpp/libsciinterpolation_la-sci_splin3d.lo: sci_gateway/cpp/sci_splin3d.cpp
1051 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_splin3d.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin3d.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_splin3d.lo `test -f 'sci_gateway/cpp/sci_splin3d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_splin3d.cpp
1052 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin3d.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_splin3d.Plo
1053 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_splin3d.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_splin3d.lo' libtool=yes @AMDEPBACKSLASH@
1054 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1055 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_splin3d.lo `test -f 'sci_gateway/cpp/sci_splin3d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_splin3d.cpp
1056
1057 sci_gateway/cpp/libsciinterpolation_la-sci_bsplin3val.lo: sci_gateway/cpp/sci_bsplin3val.cpp
1058 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_bsplin3val.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_bsplin3val.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_bsplin3val.lo `test -f 'sci_gateway/cpp/sci_bsplin3val.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_bsplin3val.cpp
1059 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_bsplin3val.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_bsplin3val.Plo
1060 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_bsplin3val.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_bsplin3val.lo' libtool=yes @AMDEPBACKSLASH@
1061 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1062 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_bsplin3val.lo `test -f 'sci_gateway/cpp/sci_bsplin3val.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_bsplin3val.cpp
1063
1064 sci_gateway/cpp/libsciinterpolation_la-sci_eval_cshep2d.lo: sci_gateway/cpp/sci_eval_cshep2d.cpp
1065 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_eval_cshep2d.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_eval_cshep2d.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_eval_cshep2d.lo `test -f 'sci_gateway/cpp/sci_eval_cshep2d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_eval_cshep2d.cpp
1066 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_eval_cshep2d.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_eval_cshep2d.Plo
1067 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_eval_cshep2d.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_eval_cshep2d.lo' libtool=yes @AMDEPBACKSLASH@
1068 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1069 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_eval_cshep2d.lo `test -f 'sci_gateway/cpp/sci_eval_cshep2d.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_eval_cshep2d.cpp
1070
1071 sci_gateway/cpp/libsciinterpolation_la-sci_mesh2di.lo: sci_gateway/cpp/sci_mesh2di.cpp
1072 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciinterpolation_la-sci_mesh2di.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_mesh2di.Tpo -c -o sci_gateway/cpp/libsciinterpolation_la-sci_mesh2di.lo `test -f 'sci_gateway/cpp/sci_mesh2di.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_mesh2di.cpp
1073 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_mesh2di.Tpo sci_gateway/cpp/$(DEPDIR)/libsciinterpolation_la-sci_mesh2di.Plo
1074 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_mesh2di.cpp' object='sci_gateway/cpp/libsciinterpolation_la-sci_mesh2di.lo' libtool=yes @AMDEPBACKSLASH@
1075 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1076 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciinterpolation_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciinterpolation_la-sci_mesh2di.lo `test -f 'sci_gateway/cpp/sci_mesh2di.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_mesh2di.cpp
1077
1078 .f.o:
1079         $(AM_V_F77)$(F77COMPILE) -c -o $@ $<
1080
1081 .f.obj:
1082         $(AM_V_F77)$(F77COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1083
1084 .f.lo:
1085         $(AM_V_F77)$(LTF77COMPILE) -c -o $@ $<
1086
1087 mostlyclean-libtool:
1088         -rm -f *.lo
1089
1090 clean-libtool:
1091         -rm -rf .libs _libs
1092         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1093         -rm -rf src/c/.libs src/c/_libs
1094         -rm -rf src/fortran/.libs src/fortran/_libs
1095 install-libsciinterpolation_la_etcDATA: $(libsciinterpolation_la_etc_DATA)
1096         @$(NORMAL_INSTALL)
1097         @list='$(libsciinterpolation_la_etc_DATA)'; test -n "$(libsciinterpolation_la_etcdir)" || list=; \
1098         if test -n "$$list"; then \
1099           echo " $(MKDIR_P) '$(DESTDIR)$(libsciinterpolation_la_etcdir)'"; \
1100           $(MKDIR_P) "$(DESTDIR)$(libsciinterpolation_la_etcdir)" || exit 1; \
1101         fi; \
1102         for p in $$list; do \
1103           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1104           echo "$$d$$p"; \
1105         done | $(am__base_list) | \
1106         while read files; do \
1107           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciinterpolation_la_etcdir)'"; \
1108           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciinterpolation_la_etcdir)" || exit $$?; \
1109         done
1110
1111 uninstall-libsciinterpolation_la_etcDATA:
1112         @$(NORMAL_UNINSTALL)
1113         @list='$(libsciinterpolation_la_etc_DATA)'; test -n "$(libsciinterpolation_la_etcdir)" || list=; \
1114         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1115         dir='$(DESTDIR)$(libsciinterpolation_la_etcdir)'; $(am__uninstall_files_from_dir)
1116 install-libsciinterpolation_la_rootDATA: $(libsciinterpolation_la_root_DATA)
1117         @$(NORMAL_INSTALL)
1118         @list='$(libsciinterpolation_la_root_DATA)'; test -n "$(libsciinterpolation_la_rootdir)" || list=; \
1119         if test -n "$$list"; then \
1120           echo " $(MKDIR_P) '$(DESTDIR)$(libsciinterpolation_la_rootdir)'"; \
1121           $(MKDIR_P) "$(DESTDIR)$(libsciinterpolation_la_rootdir)" || exit 1; \
1122         fi; \
1123         for p in $$list; do \
1124           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1125           echo "$$d$$p"; \
1126         done | $(am__base_list) | \
1127         while read files; do \
1128           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciinterpolation_la_rootdir)'"; \
1129           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciinterpolation_la_rootdir)" || exit $$?; \
1130         done
1131
1132 uninstall-libsciinterpolation_la_rootDATA:
1133         @$(NORMAL_UNINSTALL)
1134         @list='$(libsciinterpolation_la_root_DATA)'; test -n "$(libsciinterpolation_la_rootdir)" || list=; \
1135         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1136         dir='$(DESTDIR)$(libsciinterpolation_la_rootdir)'; $(am__uninstall_files_from_dir)
1137 install-libsciinterpolation_la_sci_gatewayDATA: $(libsciinterpolation_la_sci_gateway_DATA)
1138         @$(NORMAL_INSTALL)
1139         @list='$(libsciinterpolation_la_sci_gateway_DATA)'; test -n "$(libsciinterpolation_la_sci_gatewaydir)" || list=; \
1140         if test -n "$$list"; then \
1141           echo " $(MKDIR_P) '$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)'"; \
1142           $(MKDIR_P) "$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)" || exit 1; \
1143         fi; \
1144         for p in $$list; do \
1145           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1146           echo "$$d$$p"; \
1147         done | $(am__base_list) | \
1148         while read files; do \
1149           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)'"; \
1150           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)" || exit $$?; \
1151         done
1152
1153 uninstall-libsciinterpolation_la_sci_gatewayDATA:
1154         @$(NORMAL_UNINSTALL)
1155         @list='$(libsciinterpolation_la_sci_gateway_DATA)'; test -n "$(libsciinterpolation_la_sci_gatewaydir)" || list=; \
1156         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1157         dir='$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1158
1159 ID: $(am__tagged_files)
1160         $(am__define_uniq_tagged_files); mkid -fID $$unique
1161 tags: tags-am
1162 TAGS: tags
1163
1164 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1165         set x; \
1166         here=`pwd`; \
1167         $(am__define_uniq_tagged_files); \
1168         shift; \
1169         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1170           test -n "$$unique" || unique=$$empty_fix; \
1171           if test $$# -gt 0; then \
1172             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1173               "$$@" $$unique; \
1174           else \
1175             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1176               $$unique; \
1177           fi; \
1178         fi
1179 ctags: ctags-am
1180
1181 CTAGS: ctags
1182 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1183         $(am__define_uniq_tagged_files); \
1184         test -z "$(CTAGS_ARGS)$$unique" \
1185           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1186              $$unique
1187
1188 GTAGS:
1189         here=`$(am__cd) $(top_builddir) && pwd` \
1190           && $(am__cd) $(top_srcdir) \
1191           && gtags -i $(GTAGS_ARGS) "$$here"
1192 cscopelist: cscopelist-am
1193
1194 cscopelist-am: $(am__tagged_files)
1195         list='$(am__tagged_files)'; \
1196         case "$(srcdir)" in \
1197           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1198           *) sdir=$(subdir)/$(srcdir) ;; \
1199         esac; \
1200         for i in $$list; do \
1201           if test -f "$$i"; then \
1202             echo "$(subdir)/$$i"; \
1203           else \
1204             echo "$$sdir/$$i"; \
1205           fi; \
1206         done >> $(top_builddir)/cscope.files
1207
1208 distclean-tags:
1209         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1210
1211 distdir: $(DISTFILES)
1212         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1213         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1214         list='$(DISTFILES)'; \
1215           dist_files=`for file in $$list; do echo $$file; done | \
1216           sed -e "s|^$$srcdirstrip/||;t" \
1217               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1218         case $$dist_files in \
1219           */*) $(MKDIR_P) `echo "$$dist_files" | \
1220                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1221                            sort -u` ;; \
1222         esac; \
1223         for file in $$dist_files; do \
1224           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1225           if test -d $$d/$$file; then \
1226             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1227             if test -d "$(distdir)/$$file"; then \
1228               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1229             fi; \
1230             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1231               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1232               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1233             fi; \
1234             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1235           else \
1236             test -f "$(distdir)/$$file" \
1237             || cp -p $$d/$$file "$(distdir)/$$file" \
1238             || exit 1; \
1239           fi; \
1240         done
1241 check-am: all-am
1242         $(MAKE) $(AM_MAKEFLAGS) check-local
1243 check: check-am
1244 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1245 installdirs:
1246         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciinterpolation_la_etcdir)" "$(DESTDIR)$(libsciinterpolation_la_rootdir)" "$(DESTDIR)$(libsciinterpolation_la_sci_gatewaydir)"; do \
1247           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1248         done
1249 install: install-am
1250 install-exec: install-exec-am
1251 install-data: install-data-am
1252 uninstall: uninstall-am
1253
1254 install-am: all-am
1255         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1256
1257 installcheck: installcheck-am
1258 install-strip:
1259         if test -z '$(STRIP)'; then \
1260           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1261             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1262               install; \
1263         else \
1264           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1265             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1266             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1267         fi
1268 mostlyclean-generic:
1269
1270 clean-generic:
1271
1272 distclean-generic:
1273         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1274         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1275         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1276         -rm -f sci_gateway/cpp/$(am__dirstamp)
1277         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1278         -rm -f src/c/$(am__dirstamp)
1279         -rm -f src/fortran/$(DEPDIR)/$(am__dirstamp)
1280         -rm -f src/fortran/$(am__dirstamp)
1281
1282 maintainer-clean-generic:
1283         @echo "This command is intended for maintainers to use"
1284         @echo "it deletes files that may require special tools to rebuild."
1285 clean: clean-am
1286
1287 clean-am: clean-generic clean-libtool clean-local \
1288         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1289
1290 distclean: distclean-am
1291         -rm -rf sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR)
1292         -rm -f Makefile
1293 distclean-am: clean-am distclean-compile distclean-generic \
1294         distclean-local distclean-tags
1295
1296 dvi: dvi-am
1297
1298 dvi-am:
1299
1300 html: html-am
1301
1302 html-am:
1303
1304 info: info-am
1305
1306 info-am:
1307
1308 install-data-am: install-data-local \
1309         install-libsciinterpolation_la_etcDATA \
1310         install-libsciinterpolation_la_rootDATA \
1311         install-libsciinterpolation_la_sci_gatewayDATA
1312
1313 install-dvi: install-dvi-am
1314
1315 install-dvi-am:
1316
1317 install-exec-am: install-pkglibLTLIBRARIES
1318
1319 install-html: install-html-am
1320
1321 install-html-am: install-html-local
1322
1323 install-info: install-info-am
1324
1325 install-info-am:
1326
1327 install-man:
1328
1329 install-pdf: install-pdf-am
1330
1331 install-pdf-am:
1332
1333 install-ps: install-ps-am
1334
1335 install-ps-am:
1336
1337 installcheck-am:
1338
1339 maintainer-clean: maintainer-clean-am
1340         -rm -rf sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR)
1341         -rm -f Makefile
1342 maintainer-clean-am: distclean-am maintainer-clean-generic
1343
1344 mostlyclean: mostlyclean-am
1345
1346 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1347         mostlyclean-libtool
1348
1349 pdf: pdf-am
1350
1351 pdf-am:
1352
1353 ps: ps-am
1354
1355 ps-am:
1356
1357 uninstall-am: uninstall-libsciinterpolation_la_etcDATA \
1358         uninstall-libsciinterpolation_la_rootDATA \
1359         uninstall-libsciinterpolation_la_sci_gatewayDATA \
1360         uninstall-pkglibLTLIBRARIES
1361
1362 .MAKE: check-am install-am install-strip
1363
1364 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1365         check-local clean clean-generic clean-libtool clean-local \
1366         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1367         ctags ctags-am distclean distclean-compile distclean-generic \
1368         distclean-libtool distclean-local distclean-tags distdir dvi \
1369         dvi-am html html-am info info-am install install-am \
1370         install-data install-data-am install-data-local install-dvi \
1371         install-dvi-am install-exec install-exec-am install-html \
1372         install-html-am install-html-local install-info \
1373         install-info-am install-libsciinterpolation_la_etcDATA \
1374         install-libsciinterpolation_la_rootDATA \
1375         install-libsciinterpolation_la_sci_gatewayDATA install-man \
1376         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1377         install-ps install-ps-am install-strip installcheck \
1378         installcheck-am installdirs maintainer-clean \
1379         maintainer-clean-generic mostlyclean mostlyclean-compile \
1380         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1381         tags tags-am uninstall uninstall-am \
1382         uninstall-libsciinterpolation_la_etcDATA \
1383         uninstall-libsciinterpolation_la_rootDATA \
1384         uninstall-libsciinterpolation_la_sci_gatewayDATA \
1385         uninstall-pkglibLTLIBRARIES
1386
1387 .PRECIOUS: Makefile
1388
1389
1390 # This target enables tests for Scilab
1391 check-local: $(top_builddir)/scilab-bin test
1392         if test -d $(mydatadir)/tests; then \
1393           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1394         fi
1395 check-code:
1396         if test -f build.xml; then \
1397                 $(ANT) checkstyle; \
1398         fi
1399         if test -x "$(SPLINT)"; then \
1400                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1401         fi
1402 @NEED_JAVA_TRUE@java:
1403 # Some configurations needs to export JAVA_HOME in the current env
1404 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1405 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1406 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1407 @NEED_JAVA_TRUE@                $(ANT); \
1408 @NEED_JAVA_TRUE@        fi
1409
1410 @NEED_JAVA_TRUE@clean-java:
1411 # Some configurations needs to export JAVA_HOME in the current env
1412 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1413 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1414 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1415 @NEED_JAVA_TRUE@                $(ANT) clean; \
1416 @NEED_JAVA_TRUE@        fi;
1417
1418 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1419 # We call the target swig-build on the variable SWIG_WRAPPERS
1420
1421 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1422 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1423 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1424 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1425 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1426 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1427 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1428 @SWIG_TRUE@             done; \
1429 @SWIG_TRUE@     fi
1430
1431 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1432 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1433 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1434 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1435 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1436 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1437 @SWIG_TRUE@             done; \
1438 @SWIG_TRUE@     fi
1439
1440 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1441 # We call the target swig-build on the variable SWIG_WRAPPERS
1442
1443 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1444 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1445 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1446 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1447 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1448 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1449 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1450 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1451 @GIWS_TRUE@                     else \
1452 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1453 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1454 @GIWS_TRUE@                     fi \
1455 @GIWS_TRUE@             done; \
1456 @GIWS_TRUE@     fi
1457
1458 @GIWS_TRUE@giws-exception:
1459 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1460 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1461 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1462
1463 macros:
1464         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1465                 echo "Error : Cannot build $< : Scilab has not been built"; \
1466         else \
1467                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1468         fi)
1469
1470 # Removes the macros
1471 clean-macros:
1472 # Removes macros (*.bin generated from .sci)
1473         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1474                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1475                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1476         done
1477
1478 test:
1479 # More tests could be added here
1480         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1481         if test -f build.xml -a $$USEANT -eq 1; then \
1482                 $(ANT) test; \
1483         fi
1484
1485 all-local: $(TARGETS_ALL)
1486
1487 .sci.bin:
1488         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1489         echo "Error : Cannot build $< : Scilab has not been build"; \
1490         else \
1491         echo "Creating $@"; \
1492         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1493         fi )
1494
1495 install-html-local:
1496
1497 install-data-local-local:
1498 # Mainly for javasci
1499         @if test -d $(srcdir)/javadoc; then \
1500                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1501         fi
1502 # If the user wants the help sources to be installed
1503 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1504 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1505 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1506 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1507 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1508 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1509 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1510 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1511 @INSTALL_HELP_XML_TRUE@           done ; \
1512 @INSTALL_HELP_XML_TRUE@         fi; \
1513 @INSTALL_HELP_XML_TRUE@  fi; \
1514 @INSTALL_HELP_XML_TRUE@ done; \
1515 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1516 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1517 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1518 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1519 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1520 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1521 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1522 @INSTALL_HELP_XML_TRUE@           done ; \
1523 @INSTALL_HELP_XML_TRUE@         fi; \
1524 @INSTALL_HELP_XML_TRUE@ fi
1525 install-data-local:
1526 # Install the tests
1527         @echo "-------- Install tests (if any) --------"; \
1528         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1529           if test -d $(srcdir)/$$dir/; then \
1530             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1531                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1532                     if test -d "$(srcdir)/$$dir/$$file"; then \
1533                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1534                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1535                     else \
1536                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1537                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1538                     fi \
1539                   done; \
1540           fi; \
1541         done
1542 # Install the help chapter
1543         @echo "-------- Install the help chapter (if any) --------"; \
1544         for lang in $(HELP_CHAPTERLANG); do \
1545                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1546                 if test -f $$HELPFILE; then \
1547                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1548                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1549                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1550                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1551                 fi; \
1552         done
1553 # Install the demos & examples
1554         @echo "-------- Install demos & examples (if any) --------"; \
1555         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1556           if test -d $(srcdir)/$$dir/; then \
1557             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1558                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1559                     if test -d "$(srcdir)/$$dir/$$file"; then \
1560                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1561                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1562                     else \
1563                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1564                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1565                     fi \
1566                   done; \
1567           fi; \
1568         done
1569 # Install the macros
1570         @echo "-------- Install macros (if any) --------"; \
1571         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1572           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1573                 if test -d $(srcdir)/$$dir/; then \
1574                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1575                         if test -n "$(MACROSSPECIALEXT)"; then \
1576                                 specialExtDir=""; \
1577                                 for specialExt in $(MACROSSPECIALEXT); do \
1578                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1579                                 done; \
1580                                 FILELIST="$$FILELIST $$specialExtDir"; \
1581                         fi; \
1582                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1583                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1584                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1585                   done; \
1586                 fi; \
1587         done
1588 # Install java files (.jar)
1589         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1590         echo "-------- Install jar files --------"; \
1591     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1592           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1593                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1594                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1595           done ; \
1596         fi
1597
1598 ########### CLEAN ###################
1599 # Clean help (generated automatically by Scilab)
1600 # It used to clean the macro (clean-macros) but this was causing
1601 # make clean && make to fail Scilab startup
1602 @NEED_JAVA_TRUE@clean-local: clean-java
1603 @NEED_JAVA_FALSE@clean-local:
1604
1605 distclean-local:
1606         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1607
1608 .PHONY: macros java swig giws
1609
1610 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1611 # Otherwise a system limit (for SysV at least) may be exceeded.
1612 .NOEXPORT: